/**
 * Copyright (c) 2013 Timur Achmetow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Timur Achmetow - Initial API and implementation
 */
package org.eclipse.recommenders.stats.rcp.model;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.recommenders.stats.rcp.interfaces.ITreeCategory;
import org.eclipse.recommenders.stats.rcp.interfaces.ITreeItem;
import org.eclipse.recommenders.stats.rcp.ui.util.IconLoader;
import org.eclipse.swt.graphics.Image;

public class TreeCategory implements ITreeCategory {
	private final Image categoryImage = IconLoader.createImage("eclipse.gif");
	private String name;
	private List<ITreeItem> items = new ArrayList<ITreeItem>();

	@Override
	public String getName() {
		return name;
	}

	@Override
	public void setName(String value) {
		name = value;
	}

	@Override
	public List<ITreeItem> getItems() {
		return items;
	}

	@Override
	public String toString() {
		return getName();
	}

	@Override
	public Image getIcon() {
		return categoryImage;
	}
}
