/**
 * Copyright (c) 2013 Timur Achmetow.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Timur Achmetow - Initial API and implementation
 */
package org.eclipse.recommenders.stats.rcp.model;

import org.eclipse.recommenders.stats.rcp.interfaces.ITreeItem;
import org.eclipse.swt.graphics.Image;

public class TreeItem implements ITreeItem {
	
	private String name;
	private Image createImage;
	
	public TreeItem(String contentAssist, Image createImage) {
		name = contentAssist;
		this.createImage = createImage;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public Image getIcon() {
		return createImage;
	}
	
	@Override
	public String toString() {
		return getName();
	}
}
